_VampOutputDescriptor Struct Reference

`#include <vamp.h>`

## Public Attributes

const char * | identifier
| Computer-usable name of the output. More...
const char * | name
| Human-readable name of the output. More...
const char * | description
| Human-readable short text about the output. More...
const char * | unit
| Human-readable name of the unit of the output. More...
int | hasFixedBinCount
| 1 if output has equal number of values for each returned result. More...
unsigned int | binCount
| Number of values per result, if hasFixedBinCount. More...
const char ** | binNames
| Names of returned value bins, if hasFixedBinCount. More...
int | hasKnownExtents
| 1 if each returned value falls within the same fixed min/max range. More...
float | minValue
| Minimum value for a returned result in any bin, if hasKnownExtents. More...
float | maxValue
| Maximum value for a returned result in any bin, if hasKnownExtents. More...
int | isQuantized
| 1 if returned results are quantized to a particular resolution. More...
float | quantizeStep
| Quantization resolution for returned results, if isQuantized. More...
VampSampleType | sampleType
| Time positioning method for returned results (see VampSampleType). More...
float | sampleRate
| Sample rate of returned results, if sampleType is vampFixedSampleRate. More...
int | hasDuration
| 1 if the returned results for this output are known to have a duration field. More...

## Detailed Description

Definition at line 118 of file vamp.h.

## Member Data Documentation

const char* _VampOutputDescriptor::identifier

Computer-usable name of the output.

Must not change. [a-zA-Z0-9_]

Definition at line 121 of file vamp.h.

const char* _VampOutputDescriptor::name

Human-readable name of the output.

May be translatable.

Definition at line 124 of file vamp.h.

const char* _VampOutputDescriptor::description

Human-readable short text about the output.

May be translatable.

Definition at line 127 of file vamp.h.

const char* _VampOutputDescriptor::unit

Human-readable name of the unit of the output.

Definition at line 130 of file vamp.h.

int _VampOutputDescriptor::hasFixedBinCount

1 if output has equal number of values for each returned result.

Definition at line 133 of file vamp.h.

unsigned int _VampOutputDescriptor::binCount

Number of values per result, if hasFixedBinCount.

Definition at line 136 of file vamp.h.

const char** _VampOutputDescriptor::binNames

Names of returned value bins, if hasFixedBinCount.

May be NULL.

Definition at line 139 of file vamp.h.

int _VampOutputDescriptor::hasKnownExtents

1 if each returned value falls within the same fixed min/max range.

Definition at line 142 of file vamp.h.

float _VampOutputDescriptor::minValue

Minimum value for a returned result in any bin, if hasKnownExtents.

Definition at line 145 of file vamp.h.

float _VampOutputDescriptor::maxValue

Maximum value for a returned result in any bin, if hasKnownExtents.

Definition at line 148 of file vamp.h.

int _VampOutputDescriptor::isQuantized

1 if returned results are quantized to a particular resolution.

Definition at line 151 of file vamp.h.

float _VampOutputDescriptor::quantizeStep

Quantization resolution for returned results, if isQuantized.

Definition at line 154 of file vamp.h.

VampSampleType _VampOutputDescriptor::sampleType

Time positioning method for returned results (see VampSampleType).

Definition at line 157 of file vamp.h.

float _VampOutputDescriptor::sampleRate

Sample rate of returned results, if sampleType is vampFixedSampleRate.

"Resolution" of result, if sampleType is vampVariableSampleRate.

Definition at line 161 of file vamp.h.

int _VampOutputDescriptor::hasDuration

1 if the returned results for this output are known to have a duration field.

This field is new in Vamp API version 2; it must not be tested for plugins that report an older API version in their plugin descriptor.

Definition at line 170 of file vamp.h.

The documentation for this struct was generated from the following file:

- vamp.h